#!/bin/sh

# $Id: install_rrdtool.sh,v 1.2 2003/06/19 06:20:59 dijkstra Exp $
#
# Script to install rrdtool inside apache chroot

RRD_CMD=/usr/local/bin/rrdtool

if [ ! -x ${RRD_CMD} ]; then
    echo cannot find rrdtool - exiting
    exit 0
fi

FORMAT=`file ${RRD_CMD} 2>/dev/null`
if [ "${FORMAT}x" = x ]; then
    echo cannot determine executable format for rrdtool - exiting
    exit 0
fi

ELF=`echo ${FORMAT} | grep ELF`
if [ "${ELF}x" = x ]; then
    LIBS=`ldd "${RRD_CMD}" | tail +2 | awk '{print $3}'`
else
    LIBS=`ldd "${RRD_CMD}" | tail +4 | grep -v ld.so | awk '{print $5}'`
fi

if [ "${LIBS}x" = x ]; then
    echo cannot determine library dependencies for ${RRD_CMD} - exiting
    exit 0
fi

cd /var/www
mkdir -p bin usr/lib usr/libexec
cp -f $LIBS usr/lib
cp -f ${RRD_CMD} bin
cp -f /usr/libexec/ld.so usr/libexec
cp -f /bin/sh bin/sh
echo rrdtool and libs installed in apache root
exit 1
